Subject: bug#63555: emacs 29 complains that it can't connect to the display

From: Po Lu <[email-masked]>
Date: Sun, 21 May 2023 14:32:46 +0800

Eli Zaretskii <[email-masked]> writes:

> Please do this ASAP.  Or tell me what should be written there, and
> then I will do it.

How about this:

diff --git a/doc/emacs/cmdargs.texi b/doc/emacs/cmdargs.texi
index 9514e3414e1..0abd1ec589c 100644
--- a/doc/emacs/cmdargs.texi
+++ b/doc/emacs/cmdargs.texi
@@ -777,8 +777,13 @@ Misc Variables
 time it is required.
 
 @item WAYLAND_DISPLAY
-Pgtk Emacs (built with @option{--with-pgtk}) can run on Wayland natively.
-@env{WAYLAND_DISPLAY} specifies the connection to the compositor.
+@item BROADWAY_DISPLAY
+When Emacs is built with the @option{--with-pgtk}, it can natively run
+on Wayland, if GTK was built with its Wayland backend enabled.
+@env{WAYLAND_DISPLAY} specifies the name of the Wayland display.
+
+Other backends may use other environment variables to specify the
+display name: Broadway, for example, uses @env{BROADWAY_DISPLAY}.
 
 @item emacs_dir
 On MS-Windows, @env{emacs_dir} is a special environment variable, which